Index: uspace/lib/net/tl/icmp_remote.c
===================================================================
--- uspace/lib/net/tl/icmp_remote.c	(revision 514ee46735ae99a559924fd69a01def4b9b49fff)
+++ uspace/lib/net/tl/icmp_remote.c	(revision a26b9e3b11586f3f29f265e2fe1e6ef9a078d6bb)
@@ -27,12 +27,16 @@
  */
 
-/** @addtogroup icmp
+/** @addtogroup libnet
  *  @{
  */
 
 /** @file
- *  ICMP interface implementation for remote modules.
- *  @see icmp_interface.h
+ * ICMP interface implementation for remote modules.
+ * @see icmp_interface.h
  */
+
+#include <icmp_interface.h>
+#include <net/modules.h>
+#include <packet_client.h>
 
 #include <async.h>
@@ -43,25 +47,85 @@
 #include <sys/types.h>
 
-#include <net/modules.h>
-#include <icmp_interface.h>
-#include <packet_client.h>
-
-int icmp_destination_unreachable_msg(int icmp_phone, icmp_code_t code, icmp_param_t mtu, packet_t packet){
-	async_msg_3(icmp_phone, NET_ICMP_DEST_UNREACH, (ipcarg_t) code, (ipcarg_t) packet_get_id(packet), (ipcarg_t) mtu);
+/** Sends the Destination Unreachable error notification packet.
+ *
+ * Beginning of the packet is sent as the notification packet data.
+ * The source and the destination addresses should be set in the original
+ * packet.
+ *
+ * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
+ * @param[in] code	The error specific code.
+ * @param[in] mtu	The error MTU value.
+ * @param[in] packet	The original packet.
+ * @returns		EOK on success.
+ * @returns		EPERM if the ICMP error notifications are disabled.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int
+icmp_destination_unreachable_msg(int icmp_phone, icmp_code_t code,
+    icmp_param_t mtu, packet_t packet)
+{
+	async_msg_3(icmp_phone, NET_ICMP_DEST_UNREACH, (ipcarg_t) code,
+	    (ipcarg_t) packet_get_id(packet), (ipcarg_t) mtu);
 	return EOK;
 }
 
-int icmp_source_quench_msg(int icmp_phone, packet_t packet){
-	async_msg_2(icmp_phone, NET_ICMP_SOURCE_QUENCH, 0, (ipcarg_t) packet_get_id(packet));
+/** Sends the Source Quench error notification packet.
+ *
+ * Beginning of the packet is sent as the notification packet data.
+ * The source and the destination addresses should be set in the original
+ * packet.
+ *
+ * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
+ * @param[in] packet	The original packet.
+ * @returns		EOK on success.
+ * @returns		EPERM if the ICMP error notifications are disabled.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int icmp_source_quench_msg(int icmp_phone, packet_t packet)
+{
+	async_msg_2(icmp_phone, NET_ICMP_SOURCE_QUENCH, 0,
+	    (ipcarg_t) packet_get_id(packet));
 	return EOK;
 }
 
-int icmp_time_exceeded_msg(int icmp_phone, icmp_code_t code, packet_t packet){
-	async_msg_2(icmp_phone, NET_ICMP_TIME_EXCEEDED, (ipcarg_t) code, (ipcarg_t) packet_get_id(packet));
+/** Sends the Time Exceeded error notification packet.
+ *
+ * Beginning of the packet is sent as the notification packet data.
+ * The source and the destination addresses should be set in the original
+ * packet.
+ *
+ * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
+ * @param[in] code	The error specific code.
+ * @param[in] packet	The original packet.
+ * @returns		EOK on success.
+ * @returns		EPERM if the ICMP error notifications are disabled.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int icmp_time_exceeded_msg(int icmp_phone, icmp_code_t code, packet_t packet)
+{
+	async_msg_2(icmp_phone, NET_ICMP_TIME_EXCEEDED, (ipcarg_t) code,
+	    (ipcarg_t) packet_get_id(packet));
 	return EOK;
 }
 
-int icmp_parameter_problem_msg(int icmp_phone, icmp_code_t code, icmp_param_t pointer, packet_t packet){
-	async_msg_3(icmp_phone, NET_ICMP_PARAMETERPROB, (ipcarg_t) code, (ipcarg_t) packet_get_id(packet), (ipcarg_t) pointer);
+/** Sends the Parameter Problem error notification packet.
+ *
+ * Beginning of the packet is sent as the notification packet data.
+ * The source and the destination addresses should be set in the original
+ * packet.
+ *
+ * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
+ * @param[in] code	The error specific code.
+ * @param[in] pointer	The problematic parameter offset.
+ * @param[in] packet	The original packet.
+ * @returns		EOK on success.
+ * @returns		EPERM if the ICMP error notifications are disabled.
+ * @returns		ENOMEM if there is not enough memory left.
+ */
+int icmp_parameter_problem_msg(int icmp_phone, icmp_code_t code,
+    icmp_param_t pointer, packet_t packet)
+{
+	async_msg_3(icmp_phone, NET_ICMP_PARAMETERPROB, (ipcarg_t) code,
+	    (ipcarg_t) packet_get_id(packet), (ipcarg_t) pointer);
 	return EOK;
 }
@@ -69,2 +133,3 @@
 /** @}
  */
+
